List comments for a control within an audit
Retrieves a paginated list of comments on a control within an IRL audit, enabling auditors to view collaboration history on the control.
This endpoint always includes soft-deleted records (where deletionDate !== null).
Clients should check the deletionDate field to identify and handle deleted records
appropriately in their systems.
This endpoint supports delta synchronization via the changedSinceDate parameter,
allowing efficient polling for changes without retrieving the entire dataset.
Returns 404 when the control is not part of the audit.
Pagination usage:
- Make initial request with desired
pageSize - Check
results.pageInfo.hasNextPageto see if more data exists - If true, use
results.pageInfo.endCursoraspageCursorin next request - Repeat until
hasNextPageis false
Delta sync usage:
- Store the timestamp of your last sync
- Pass that timestamp as
changedSinceDate - Only comments created, modified, or deleted since that timestamp are returned
- Process updates, including soft-deletes (deletionDate !== null)
- Update your last sync timestamp to the current time
Rate limit: 50 requests / minute.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of comments to return per page. Controls the maximum number of items returned in one response from the API.
1 <= x <= 100Pagination cursor from a previous response. Provide to fetch the next page of comments. A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.
Includes all comments that have changed since changedSinceDate. Considers creationDate, modificationDate, and deletionDate timestamps when determining changes.
Response
Ok